# Class CompleteTradeReply

#### Hierarchy

- unknown
  - CompleteTradeReply

- Defined in src/protobuf/grpc_pb.d.ts:2596
- Defined in src/protobuf/grpc_pb.d.ts:2605

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CompleteTradeReply(): CompleteTradeReply

- #### Returns CompleteTradeReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2597

### toObject

- toObject(includeInstance?: boolean): CompleteTradeReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CompleteTradeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2598

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CompleteTradeReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CompleteTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2601

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CompleteTradeReply, reader: BinaryReader): CompleteTradeReply

- #### Parameters

  - ##### message: CompleteTradeReply

  - ##### reader: BinaryReader

  #### Returns CompleteTradeReply

  - Defined in src/protobuf/grpc_pb.d.ts:2602

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CompleteTradeReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CompleteTradeReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2600

### `Static` toObject

- toObject(includeInstance: boolean, msg: CompleteTradeReply): CompleteTradeReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CompleteTradeReply

  #### Returns CompleteTradeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2599

Generated using TypeDoc